<?php
###########################################
###       Сообщества для соц. сети      ###
###       Автор: Неизвестен             ###
###    Доделка и переделка: WapStyle    ###
###          НЕ ДЛЯ ПРОДАЖИ             ###
### НЕ ДЛЯ БЕСПЛАТНОГО РАСПРОСТРАНЕНИЯ  ###
###########################################

if(isset($_GET['wall'])){
echo '<div class="menu">&#187;&nbsp;<a href="comm.php?id='.$soo.'">[закрыть]</a> <b>Стена сообщений</b></div>';

if(isset($_GET['delete']) && !empty($_GET['delete'])){
	$delete = intval($_GET['delete']);

if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']>0 || $user['level']>1){
	$query = @mysql_query("SELECT `id` FROM `comm_wall` WHERE `id_comm` = '".$soo."' AND `id` = '".$delete."';");

if(@mysql_affected_rows()>0){
	@mysql_query("DELETE FROM `comm_wall` WHERE `id_comm` = '".$soo."' AND `id` = '".$delete."' LIMIT 1;");
	mysql_query("OPTIMIZE TABLE `comm_wall`");
	echo '<div class="err">Сообщение успешно удалено!</div>';
	}else{
		echo '<div class="err">Сообщение не найдено!</div>';
		}
		}else{
			echo '<div class="err">У Вас нет прав для удаления этого сообщения!</div>';
			}
			}


if(isset($_POST['message']) && isset($user)){
	$message = esc(stripcslashes(htmlspecialchars($_POST['message'])));

if(isset($_POST['translit']) AND $_POST['translit']){
	$message = translit($message);
	}

if(strlen2($message)>512){
	$err .= 'Cообщение слишком длинное';
	}

if(strlen2($message)<2){
	$err .= 'Короткое сообщение';
	}

if(@mysql_result(@mysql_query("SELECT COUNT(*) FROM `wall` WHERE `user_id` = '".$user_id."' AND `message` = '".@mysql_escape_string($message)."' AND `time` > '".($time - 300)."' LIMIT 1"), 0)!= 0){
	$err .= 'Ваше сообщение повторяет предыдущее';
	}

if(time() - @mysql_result(@mysql_query("SELECT `time` FROM `wall` WHERE `user_id` = '$user_id' ORDER BY `id` DESC LIMIT 1;"),0)<30){
	$err .= 'Не стоит писать сообщения так часто..';
	}

if(isset($err)){
	echo '<div class="err">При добавление сообщения произошли следующие ошибки:<br/>'.$err.'</div>';
	}else{
		$message = @mysql_escape_string($message);
		$message = eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&amp;._=/~%#]*(\\?[[:alnum:]?+&amp;_=/%#]*)?)?)", ' [реклама] ', $message);

		@mysql_query("INSERT INTO `comm_wall` (`id_comm`, `who`, `time`, `message`) values('".$soo."', '".$user['id']."', '".$time."', '".$message."')");
		@mysql_query("UPDATE `user` SET `msg_on_wall` = `msg_on_wall` + 1 WHERE `id` = '".$user['id']."' LIMIT 1");

if(isset($user) && $user['id']!=$comm_id['id_author']){
	$msg = 'На Вашем сообществе на стене сообщений появилась новая запись';
	mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$comm_id['id_author']."', '".$msg."', '".$time."')");
	}

		mysql_query("OPTIMIZE TABLE `comm_wall`, `user`, `jurnal`");
		echo '<div class="news">Сообщение успешно добавлено!</div>';
		}
		}

$k_post = @mysql_result(@mysql_query("SELECT COUNT(*) FROM `comm_wall` WHERE `id_comm` = '".$soo."'"),0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo '<table class="post">';

if($k_post==0){
	echo 'Нет сообщений...';
	}

$query = @mysql_query("SELECT * FROM `comm_wall` WHERE `id_comm` = '".$soo."' ORDER BY `time` DESC LIMIT $start, $set[p_str];");
while ($array = mysql_fetch_array($query)){
	$user_nick = @mysql_fetch_array(@mysql_query("SELECT * FROM `user` WHERE `id` = '".$array['who']."'"));

echo avatar($array['who']);
echo '</td><td class="p_m"><a href="/info.php?id='.$array['who'].'"><span style="color:'.$user_nick['ncolor'].'">'.$user_nick['nick'].'</span></a>'.online($array['who']).' ('.vremja($array['time']).')<br/>'.output_text($array['message']).'<br/>';

if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']>0 || $user['level']>1){
	echo '[<a href="comm.php?id='.$soo.'&amp;wall&amp;delete='.$array['id'].'">удалить</a>]';
	}

echo '</td></tr>';
}

echo '</table>';

if($k_page>1){
	str('comm.php?id='.$soo.'&amp;wall&amp;', $k_page, $page);
	}

if(isset($user)){
echo '<a href="/smiles/index.php">Смайлы</a><br/>';
echo '<form method="post" action="comm.php?id='.$soo.'&amp;wall">';
echo '<b>Сообщение</b>:<br/><textarea name="message"></textarea><br/>';

if($user['set_translit']){
	echo '<label><input type="checkbox" name="translit" value="1"/>Транслит</label><br/>';
	}

echo '<input type="submit" value="Написать на стене"/></form>';
}
}else{
	echo '<div class="menu">&#187;&nbsp;<a href="comm.php?id='.$soo.'&amp;wall">[открыть]</a> <b>Стена сообщений</b></div>';
	}
?>